Package org.springframework.security.authentication.jaas

# Class DefaultLoginExceptionResolver

java.lang.Object
org.springframework.security.authentication.jaas.DefaultLoginExceptionResolver

All Implemented Interfaces:
  `LoginExceptionResolver`

public class DefaultLoginExceptionResolver extends Object implements LoginExceptionResolver
This LoginExceptionResolver simply wraps the LoginException with an AuthenticationServiceException.

## Constructor Summary

Constructors
Constructor
Description
`DefaultLoginExceptionResolver()`

## Method Summary

Modifier and Type
Method
Description
`AuthenticationException`
`resolveException(LoginException ex)`
Translates a Jaas LoginException to an SpringSecurityException.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultLoginExceptionResolver

public DefaultLoginExceptionResolver()

## Method Details

### resolveException

public AuthenticationException resolveException(LoginException ex)
Description copied from interface: `LoginExceptionResolver`
Translates a Jaas LoginException to an SpringSecurityException.

Specified by:
  `resolveException` in interface `LoginExceptionResolver`
Parameters:
  `ex` - The LoginException thrown by the configured LoginModule.
Returns:
  The AuthenticationException that the JaasAuthenticationProvider should throw.